lisp2arx
Visual Programming for AutoLisp
Mathématiques en programmation Lisp..
doc2cpp,doc2lsp, sld2lsp, bmp2dcl,
free__GifCcapture for all-CAD'platforms..
|
Lista Forumurilor Pe Tematici
|
lisp2arx | Reguli | Inregistrare | Login
POZE LISP2ARX
Nu sunteti logat.
|
Nou pe simpatie: Tanya_sexy pe Simpatie.ro
| Femeie 24 ani Hunedoara cauta Barbat 24 - 47 ani |
|
admin
Administrator
Din: Bucharest
Inregistrat: acum 13 ani
Postari: 517
|
|
The old AutoCad, or NanoCAd do not have First, What is getpropertyvalue ?
Code:
(setq ss (ssget "F" vlst '((0 . "INSERT") (66 . 1)))
);end_setq
(repeat (setq cnt (sslength ss))
(setq bent (ssname ss (setq cnt (1- cnt)))
tlst (cons (list (getpropertyvalue bent "POINT")
(rtos (/ (getpropertyvalue bent "POSITION/X") ccf) 2 acc)
(rtos (/ (getpropertyvalue bent "POSITION/Y") ccf) 2 acc)
)
tlst
)
);end_setq
);end_repeat |
Second.You replace (getpropertyvalue ofBlock) with this function
Code:
(setq bent (car (entsel)))
(setq atts (vlax-invoke
(setq blk (vlax-ename->vla-object bent))
'getattributes
)
)
(foreach att atts
(cond
(
(eq (vla-get-tagstring att) "POINT")
(setq elev (vla-get-textstring att))
)
)
)
(setq pt (vlax-get blk 'insertionpoint)) |
Thids.vla-AutoLispR14 - getpropertyvalue eMissing in My Briscad
40.2KB
_______________________________________
|
|
pus acum 4 ani |
|